package com.lanyuanxiaoyao.service.ai.knowledge.entity;

/**
 * @author lanyuanxiaoyao
 * @version 20250527
 */
public class Group {
  private String id;
  private String name;
  private String status;
  private Long createdTime;
  private Long modifiedTime;

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }

  public Long getCreatedTime() {
    return createdTime;
  }

  public void setCreatedTime(Long createdTime) {
    this.createdTime = createdTime;
  }

  public Long getModifiedTime() {
    return modifiedTime;
  }

  public void setModifiedTime(Long modifiedTime) {
    this.modifiedTime = modifiedTime;
  }

  @Override
  public String toString() {
    return "GroupVO{" +
           "id='" + id + '\'' +
           ", name='" + name + '\'' +
           ", status='" + status + '\'' +
           ", createdTime=" + createdTime +
           ", modifiedTime=" + modifiedTime +
           '}';
  }
}
